Bug 507070 - Review Request: libinfinity - Library implementing the infinote protocol
Summary: Review Request: libinfinity - Library implementing the infinote protocol
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Wesley S. Hearn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 507072
TreeView+ depends on / blocked
 
Reported: 2009-06-20 14:14 UTC by Ben Boeckel
Modified: 2009-07-31 18:06 UTC (History)
5 users (show)

Fixed In Version: 1.0-0.2.b3.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-27 17:52:40 UTC
gr33nn1nj4: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Ben Boeckel 2009-06-20 14:14:28 UTC
Spec URL: http://benboeckel.net/packaging/.spec
SRPM URL: http://benboeckel.net/packaging/.fc11.src.rpm
Description: 
Libinfinity is used in the collaborative editing tool Kobby.

Comment 2 Wesley S. Hearn 2009-06-20 22:07:50 UTC
1) SRPM URL is http://benboeckel.net/packaging/libinfinity/libinfinity-0.3.0-1.fc11.src.rpm
2) It doesn't generate a package as it is missing files in %files
3) You are supposed to run rpmlint on the final packages and include them in the review request.

Comment 3 Wesley S. Hearn 2009-06-20 22:52:41 UTC
Opps my bad, it builds in mock, guess i have extra unneeded deps that allow extra stuff.
Everything looks good unless you want that extra stuff (IIRC it was some translations)

Comment 4 Rex Dieter 2009-06-20 23:18:11 UTC
Still, that's a sign of missing BuildRequires somewhere, it'd be worth investigating.

Comment 5 Ben Boeckel 2009-06-21 17:42:07 UTC
Fixed the missing BRs:

avahi-devel
gtk2-devel
gettext

It now has translations (de) and gtk subpackage for gtk widgets.

http://benboeckel.net/packaging/libinfinity/libinfinity.spec
http://benboeckel.net/packaging/libinfinity/libinfinity-0.3.0-2.fc11.src.rpm

rpmlint output:
% rpmlint /var/lib/mock/fedora-11-kde43-x86_64/result/*.rpm
infinoted.x86_64: W: no-documentation
libinfinity-devel.x86_64: W: no-documentation
libinfinity-gtk.x86_64: W: no-documentation
libinfinity-gtk-devel.x86_64: W: no-documentation
8 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 6 Wesley S. Hearn 2009-06-21 18:33:21 UTC
[OK] MUST: rpmlint must be run on every package. The output should be posted in
the review.
[OK] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.
[OK] MUST: The License field in the package spec file must match the actual
license.
[OK] MUST: The package must meet the  Packaging Guidelines . 
[OK] MUST: The package must be licensed with a Fedora approved license and meet
the  Licensing Guidelines . 
[OK] MUST: The License field in the package spec file must match the actual
license.
[OK] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[OK] MUST: The package <b>MUST</b> successfully compile and build into binary
rpms on at least one primary architecture.
[OK] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line.
[OK] MUST: The spec file MUST handle locales properly. This is done by using
the <code>%find_lang</code> macro. Using <code>%{_datadir}/locale/*</code> is
strictly forbidden.
[OK] MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in <code>%post</code> and <code>%postun</code>.
[OK] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
[OK] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[OK] MUST: A Fedora package must not list a file more than once in the spec
file's&nbsp;%files listings.
[OK] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every <code>%files</code> section
must include a <code>%defattr(...)</code> line.
[OK] MUST: Each package must have a&nbsp;%clean section, which contains
<code>rm -rf&nbsp;%{buildroot}</code> (<a
href="/wiki/Packaging/Guidelines#UsingBuildRootOptFlags"
title="Packaging/Guidelines" class="mw-redirect">or $RPM_BUILD_ROOT</a>).
[OK] MUST: Each package must consistently use macros.
[OK] MUST: The package must contain code, or permissable content.
[OK] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity).
[OK] MUST: If a package includes something as&nbsp;%doc, it must not affect the
runtime of the application. To summarize: If it is in&nbsp;%doc, the program
must run properly if it is not present.
[OK] MUST: Header files must be in a -devel package.
[OK] MUST: Static libraries must be in a -static package.
[OK] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).
[OK] MUST: If a package contains library files with a suffix
(e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must
go in a -devel package.
[OK] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: <code>Requires:&nbsp;%{name}
=&nbsp;%{version}-%{release} </code>
[OK] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.
[OK] MUST: Packages containing GUI applications must include
a&nbsp;%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the&nbsp;%install section. If you feel that your
packaged GUI application does not need a .desktop file, you must put a comment
in the spec file with your explanation.
[OK] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the <code>filesystem</code> or
<code>man</code> package. If you feel that you have a good reason to own a file
or directory that another package owns, then please present that at package
review time.
[OK] MUST: At the beginning of <code>%install</code>, each package MUST run
<code>rm -rf&nbsp;%{buildroot}</code> (<a
href="/wiki/Packaging/Guidelines#UsingBuildRootOptFlags"
title="Packaging/Guidelines" class="mw-redirect">or $RPM_BUILD_ROOT</a>).
[OK] MUST: All filenames in rpm packages must be valid UTF-8.
[OK] SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
[--] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[OK] SHOULD: The reviewer should test that the package builds in mock.
[OK] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[OK] SHOULD: The reviewer should test that the package functions as described.
A package should not segfault instead of running, for example.
[OK] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
vague, and left up to the reviewers judgement to determine sanity.
[OK] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[OK] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase,
and this is usually for development purposes, so should be placed in a -devel
pkg.  A reasonable exception is that the main pkg itself is a devel tool not
installed in a user runtime, e.g. gcc or gdb.
[OK] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself.

Comment 7 Wesley S. Hearn 2009-06-21 20:41:37 UTC
APPROVED

Comment 8 Ben Boeckel 2009-06-25 19:01:06 UTC
New Package CVS Request
=======================
Package Name: libinfinity
Short Description: Library inplementing the infinote protocol
Owners: mathstuf
Branches: F-10 F-11
InitialCC:

Comment 9 Jason Tibbitts 2009-06-25 20:12:16 UTC
CVS done.

Comment 10 Ben Boeckel 2009-06-27 17:52:40 UTC
Closing, built for rawhide.

Comment 11 Fedora Update System 2009-07-31 01:26:34 UTC
kobby-1.0-0.2.b3.fc11,libqinfinity-1.0-0.2.b3.fc11.2,libinfinity-0.3.0-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kobby-1.0-0.2.b3.fc11,libqinfinity-1.0-0.2.b3.fc11.2,libinfinity-0.3.0-3.fc11

Comment 12 Fedora Update System 2009-07-31 01:26:50 UTC
kobby-1.0-0.2.b3.fc10,libqinfinity-1.0-0.2.b3.fc10,libinfinity-0.3.0-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kobby-1.0-0.2.b3.fc10,libqinfinity-1.0-0.2.b3.fc10,libinfinity-0.3.0-3.fc10

Comment 13 Fedora Update System 2009-07-31 17:59:33 UTC
kobby-1.0-0.2.b3.fc11, libqinfinity-1.0-0.2.b3.fc11.2, libinfinity-0.3.0-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-07-31 18:06:36 UTC
kobby-1.0-0.2.b3.fc10, libqinfinity-1.0-0.2.b3.fc10, libinfinity-0.3.0-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.